precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp float strenth;
uniform lowp float opacity;
void main() {
    vec4 color = texture2D(inputImageTexture,textureCoordinate);
    float brightness = dot(color.rgb,vec3(0.2126,0.7152,0.0722));
    if (brightness > strenth) {
        gl_FragColor = color;
    } else {
        gl_FragColor = vec4(0.0,0.0,0.0,opacity);
    }
}